# NetworkTypes.cpp File Reference

Unique Player Identifier Class implementation. More...

`#include "NetworkTypes.h"`

## Functions

int | operator== (const PlayerID &left, const PlayerID &right)
int | operator!= (const PlayerID &left, const PlayerID &right)
int | operator> (const PlayerID &left, const PlayerID &right)
int | operator< (const PlayerID &left, const PlayerID &right)

## Detailed Description

Unique Player Identifier Class implementation.

This file is part of RakNet Copyright 2003, 2004 Rakkarsoft LLC and Kevin Jenkins.

Usage of Raknet is subject to the appropriate licence agreement. "Shareware" Licensees with Rakkarsoft LLC are subject to the shareware license found at http://www.rakkarsoft.com/shareWareLicense.html which you agreed to upon purchase of a "Shareware license" "Commercial" Licensees with Rakkarsoft LLC are subject to the commercial license found at http://www.rakkarsoft.com/sourceCodeLicense.html which you agreed to upon purchase of a "Commercial license" All other users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Refer to the appropriate license agreement for distribution, modification, and warranty rights.

## Function Documentation

int operator!= | ( | const PlayerID & | left,
|  | const PlayerID & | right
| ) |

Test if two Player Unique Identifier differs

Parameters:

  | left | a Player Unique Identifier
  | right | a Player Unique Identifier

Returns:
  0 if left and right corresponds to the same player 1 otherwise

int operator< | ( | const PlayerID & | left,
|  | const PlayerID & | right
| ) |

Test if left is lesser than right

Parameters:

  | left | a Player Unique Identifier
  | right | a Player Unique Identifier

Returns:
  1 if left is lesser than right, 0 otherwise

int operator== | ( | const PlayerID & | left,
|  | const PlayerID & | right
| ) |

Test if two Player Unique Identifier are the same

Parameters:

  | left | a Player Unique Identifier
  | right | a Player Unique Identifier

Returns:
  1 if left and right corresponds to the same player 0 otherwise

int operator> | ( | const PlayerID & | left,
|  | const PlayerID & | right
| ) |

Test if left is greater than right

Parameters:

  | left | a Player Unique Identifier
  | right | a Player Unique Identifier

Returns:
  1 if left is greater than right, 0 otherwise